MB.ui = {};

function MB.ui.OptionsMenu()
	if( UIDROPDOWNMENU_MENU_LEVEL == 1 )then

		MLib.DD.AddNormal( "Включен", "MBVariables", "Enabled", UIDROPDOWNMENU_MENU_LEVEL, MTOptionMenu );
		MLib.DD.AddArrow( "Переключить состояние", "State", UIDROPDOWNMENU_MENU_LEVEL );
		MLib.DD.AddArrow( "Таймер боя", "Timer", UIDROPDOWNMENU_MENU_LEVEL );
		MLib.DD.AddNormal( "Трекер параметров", "MBVariables", "AbilityFrame", UIDROPDOWNMENU_MENU_LEVEL, MTOptionMenu );
		
		local ZoneID = GetZoneID();
		if( MB.State == MB_STATE_NORMAL )and( MLib.tableContains( MBVariables.NoBuffDungeons, ZoneID ) )then
			MLib.DD.AddFunction( "Обычное подземелье", function()
															local ZoneID = GetZoneID();
															local stZones = {};
															for n = 1, #MBVariables.NoBuffDungeons do
																if( MBVariables.NoBuffDungeons[n] ~= ZoneID )then stZones[ #stZones ] = MBVariables.NoBuffDungeons[n]; end;
															end;
															MBVariables.NoBuffDungeons = stZones;
															MB.State = MB_STATE_DUNGEON;
														end, UIDROPDOWNMENU_MENU_LEVEL, MBOptionMenu, false );
		end;
		if( MB.State == MB_STATE_DUNGEON )then
			MLib.DD.AddFunction( "Подземелье без бафов", function()
															local ZoneID = GetZoneID();
															MBVariables.NoBuffDungeons[#MBVariables.NoBuffDungeons+1] = ZoneID;
															MB.State = MB_STATE_NORMAL;
														end, UIDROPDOWNMENU_MENU_LEVEL, MBOptionMenu, false );
		end;

	elseif( UIDROPDOWNMENU_MENU_LEVEL == 2 )then
		
		if( UIDROPDOWNMENU_MENU_VALUE == "State" )then
			MLib.DD.AddFunction( "В безопасности", function() MB.State = MB_STATE_SAFE; end, UIDROPDOWNMENU_MENU_LEVEL, MBOptionMenu, MB.State == MB_STATE_SAFE );
			MLib.DD.AddFunction( "На поверхности", function() MB.State = MB_STATE_NORMAL; end, UIDROPDOWNMENU_MENU_LEVEL, MBOptionMenu, MB.State == MB_STATE_NORMAL );
			MLib.DD.AddFunction( "В подземелье", function() MB.State = MB_STATE_DUNGEON; end, UIDROPDOWNMENU_MENU_LEVEL, MBOptionMenu, MB.State == MB_STATE_DUNGEON );
			MLib.DD.AddFunction( "На осаде", function() MB.State = MB_STATE_GUILDWAR; end, UIDROPDOWNMENU_MENU_LEVEL, MBOptionMenu, MB.State == MB_STATE_GUILDWAR );
		end;
		if( UIDROPDOWNMENU_MENU_VALUE == "Timer" )then
			MLib.DD.AddNormal( "Включен", "MBVariables", "ShowInCombatTime", UIDROPDOWNMENU_MENU_LEVEL, MBOptionMenu );
			MLib.DD.AddNormal( "Только для боссов", "MBVariables", "InCombatTimeOnBossOnly", UIDROPDOWNMENU_MENU_LEVEL, MBOptionMenu );
		end;

	end;
end;

function MB.ui.MinimapShowHint(this)
	MLib.TT.Init( this, MB.Name .. " " .. MB.Version, 300, "ANCHOR_BOTTOMRIGHT", 0, 0 );
	MLib.TT.Space();
	
	if( MBVariables.Enabled )then
		MLib.TT.Line( MLib.YESPattern:format( "ВКЛЮЧЕН!" ) );
	else
		MLib.TT.Line( MLib.NOPattern:format( "ВЫКЛЮЧЕН!" ) );
	end;
	
	if( MB.State == MB_STATE_SAFE )then
		MLib.TT.Line( MLib.YESPattern:format( "В безопасности" ) );
	elseif( MB.State == MB_STATE_NORMAL )then
		MLib.TT.Line( MLib.MMPattern:format( "На поверхности" ) );
	elseif( MB.State == MB_STATE_GUILDWAR )then
		MLib.TT.Line( MLib.NOPattern:format( "На осаде" ) );
	else
		MLib.TT.Line( MLib.NOPattern:format( "В подземелье" ) );
	end;
	
	MLib.TT.Space();
	
	if( MBVariables.ShowInCombatTime )then
		MLib.TT.Line( "Таймер боя: " .. MLib.YESPattern:format( "Да" ) );
	else
		MLib.TT.Line( "Таймер боя: " .. MLib.NOPattern:format( "Нет" ) );
	end;
	
	if( MBVariables.InCombatTimeOnBossOnly )then
		MLib.TT.Line( "Таймер только для боссов: " .. MLib.YESPattern:format( "Да" ) );
	else
		MLib.TT.Line( "Таймер только для боссов: " .. MLib.NOPattern:format( "Нет" ) );
	end;
	
	if( MBVariables.AbilityFrame )then
		MLib.TT.Line( "Трекер параметров: " .. MLib.YESPattern:format( "Да" ) );
	else
		MLib.TT.Line( "Трекер параметров: " .. MLib.NOPattern:format( "Нет" ) );
	end;
	
	MLib.TT.Space();
	MLib.TT.Line( UI_MINIMAPBUTTON_MOVE, 0, 0.75, 0.95 );
end;

--[[ /run dofile("interface/addons/mautobuff/code/ui.lua"); ]]