MB.hooks = {};

local MBDragSkillButton = DragSkillButton;
DragSkillButton = function( page, index )
	MB.hooks.SkillPage = page;
	MB.hooks.SkillIndex = index;
	MBDragSkillButton( page, index );
end;

local oldJump=Jump;
function Jump()
	MB.tools.Trigger();
	return oldJump();
end

local oldMoveForwardStart=MoveForwardStart;
function MoveForwardStart()
	MB.tools.Trigger()
	return oldMoveForwardStart();
end

local oldMoveForwardStop=MoveForwardStop;
function MoveForwardStop()
	MB.tools.Trigger();
	oldMoveForwardStop();
	if( MB.events.Ctrl )and( MBVariables.AutoRun == 2 )then ToggleAutoRun(); end;
	if( MB.events.Shift )and( MBVariables.AutoRun == 3 )then ToggleAutoRun(); end;
	if( MB.events.Alt )and( MBVariables.AutoRun == 4 )then ToggleAutoRun(); end;
end

local oldMoveBackwardStart=MoveBackwardStart;
function MoveBackwardStart()
	MB.tools.Trigger()
	return oldMoveBackwardStart();
end

local oldMoveBackwardStop=MoveBackwardStop;
function MoveBackwardStop()
	MB.tools.Trigger()
	return oldMoveBackwardStop();
end

local oldStrafeLeftStart=StrafeLeftStart;
function StrafeLeftStart()
	MB.tools.Trigger()
	return oldStrafeLeftStart();
end

local oldStrafeLeftStop=StrafeLeftStop;
function StrafeLeftStop()
	MB.tools.Trigger()
	return oldStrafeLeftStop();
end

local oldStrafeRightStart=StrafeRightStart;
function StrafeRightStart()
	MB.tools.Trigger()
	return oldStrafeRightStart();
end

local oldStrafeRightStop=StrafeRightStop;
function StrafeRightStop()
	MB.tools.Trigger()
	return oldStrafeRightStop();
end

local MBLogout = Logout;
function Logout()
	Jump = oldJump;
	MoveForwardStart = oldMoveForwardStart;
	MoveForwardStop = oldMoveForwardStop;
	MoveBackwardStart = oldMoveBackwardStart;
	MoveBackwardStop = oldMoveBackwardStop;
	StrafeLeftStart = oldStrafeLeftStart;
	StrafeLeftStop = oldStrafeLeftStop;
	StrafeRightStart = oldStrafeRightStart;
	StrafeRightStop = oldStrafeRightStop;
	DragSkillButton = MBDragSkillButton;
	return MBLogout();
end
