MB = {};
_G["MB"] = MB;

MB_STATE_NORMAL = 0;
MB_STATE_SAFE = 1;
MB_STATE_DUNGEON = 2;
MB_STATE_GUILDWAR = 3;

MBVariables = {};
MB.DefaultConfig = {
	["Enabled"] = true,
	["SafeZones"] = { 400, 401, },
	["NoBuffDungeons"] = { 351, 352, 353, },
	["ShowInCombatTime"] = false,
	["InCombatTimeOnBossOnly"] = false,
	["BuffWarning"] = 10,
	["AutoRun"] = 1,
	["AbilityFrame"] = false,
	["AbilityFrameDirection"] = "upward",
	["AbilityFrameFontSize"] = 5,
	["AbilityFramePosition"] = {
		["X"] = 500,
		["Y"] = 300,
	},
};

MB.ShortName = 'MB';
MB.Name = "Myaff Auto Buff";
MB.Version = '2.0.118 beta';

MB.State = MB_STATE_NORMAL;

MB.AbilityName = {
	[1]  = "Сила",
	[2]  = "Лов",
	[3]  = "Вын",
	[4]  = "Инт",
	[5]  = "Мудр",
	[6]  = "ФУ",
	[7]  = "ФА",
	[8]  = "ФКрит",
	[9]  = "Метк",
	[10] = "МУ",
	[11] = "МА",
	[12] = "МКрит",
	[13] = "БИ",
	[14] = "ММетк",
	[15] = "ФДеф",
	[16] = "Пари",
	[17] = "Уклон",
	[18] = "КРезист",
	[19] = "МДеф",
	[20] = "Сопр",
	[21] = "МКРезист",
	[22] = "ДПС",
	[23] = "Блок",
	[24] = "СкорАт",
};

MB.AbilityColors = {
	[1]  = { 0, 0.6, 1 },
	[2]  = { 0, 0.6, 1 },
	[3]  = { 0, 0.6, 1 },
	[4]  = { 0, 0.6, 1 },
	[5]  = { 0, 0.6, 1 },
	[6]  = { 1, 0.3, 0.3 },
	[7]  = { 1, 0.3, 0.3 },
	[8]  = { 1, 0.3, 0.3 },
	[9]  = { 1, 0.3, 0.3 },
	[10] = { 1, 0.3, 0.3 },
	[11] = { 1, 0.3, 0.3 },
	[12] = { 1, 0.3, 0.3 },
	[13] = { 0.3, 1, 0.6 },
	[14] = { 1, 0.3, 0.3 },
	[15] = { 0.3, 1, 0.3 },
	[16] = { 0.3, 1, 0.3 },
	[17] = { 0.3, 1, 0.3 },
	[18] = { 0.3, 1, 0.3 },
	[19] = { 0.3, 1, 0.3 },
	[20] = { 0.3, 1, 0.3 },
	[21] = { 0.3, 1, 0.3 },
	[22] = { 1, 0, 0 },
	[23] = { 0.3, 1, 0.3 },
	[24] = { 1, 0.3, 0.3 },
};

function MB.Message( text, frames )
	MLib.Message( text, MB.ShortName, frames );
end;
